:begin
@echo off

IF   (%1)     ==   ()       goto interact
IF    %1    ==   -h    goto syntax
goto silent

:interact
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
IF NOT EXIST  .\Data.zip    goto bad_pwd
java -classpath  ".\fixpack.jar;.\install.jar;%classpath%"  Fixpack -install 
goto end

:silent
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
IF NOT EXIST  .\Data.zip    goto bad_pwd
IF NOT EXIST %1\nul goto bad_root
IF NOT EXIST %2 goto bad_zip
java -classpath ".\fixpack.jar;.\install.jar;%classpath%"  Fixpack -install -b  %1   -f   %2
goto end

:bad_zip
echo Incorect path to Data.zip:  %2
goto end

:bad_root
echo No such directory:  %1
goto end

:bad_pwd
echo Can not locate all the files: fixpack.jar, install.jar, and Data.zip.
echo Please ensure you are in the download directory before starting install.
goto end

:syntax
echo For interactive install:    install.bat 
echo For silent  install:   install.bat    was_root_absolute_path      downloaded_Data_zip_absolute path
goto end

:end
REM END

